export declare class EclTimeline {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    noScript: boolean;
    colorMode: string;
    toBeToggled: boolean;
    getClass(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidRender(): void;
    render(): any;
}
